Subject: Re: linux-next: Tree for December 3

From: Tejun Heo <[email-masked]>
Date: Thu, 03 Dec 2009 17:30:19 +0900

Hello,

On 12/03/2009 04:40 PM, Michal Simek wrote:
> todays tree is working on MMU microblaze correctly without any visible
> problem but noMMU microblaze kernel still have that bug as I reported
> some days ago.

Other than triggering WARN_ON(), it doesn't cause any other problems,
right?  It's probably because SMP_CACHE_BYTES on that configuration is
lower than 8.  What is the value of SMP_CACHE_BYTES on the
configuration?  Also, doesn't the Linus's tree have the same problem?

The somewhat spurious WARN_ON() in percpu allocator should probably be
just removed or bumped to check against PAGE_SIZE as SMP code does.
The problem is that on UP even though the function takes @align
parameter, it just ignores it.  :-(

Thanks.

-- 
tejun